EC_EDITLINE_PARSE(3)

NAME
ec_editline_parse - Get a line interactively (with completion), and parse it.

SYNOPSIS
#include <ecoli/editline.h>

struct ec_pnode * ec_editline_parse(
    struct ec_editline   *editline   /* The pointer to the ec_editline structure. */
);

DESCRIPTION

Similar to ec_editline_gets(), except that the string result is parsed using the grammar node on success.

RETURN VALUE

An allocated ec_pnode containing the parse result. It must be freed by the caller using ec_pnode_free(). Return NULL on error.

SEE ALSO

ec_editline_get_el(3), ec_editline_set_prompt(3), ec_editline_complete(3), ec_editline_set_prompt_esc(3), ec_editline_free(3), ec_editline_term_size(3), ec_editline_gets(3), ec_editline_interact(3), ec_editline_set_node(3), ec_editline_set_history(3), ec_editline(3), ec_editline_get_node(3), ec_editline_curline(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.